Package ru.bitel.bgbilling.kernel.bgsecure.common.bean

# Class RoleItem

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.bgsecure.common.bean.RoleItem

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`, `TreeNode<RoleItem>`

public class RoleItem extends IdTitle implements TreeNode<RoleItem>
Только ID и название роли для UI представления

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RoleItem()`
  `RoleItem(int id, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<RoleItem>`
  `getChildren()`
  `String`
  `getMenuTitle()`
  `void`
  `setChildren(List<RoleItem> children)`
  `void`
  `setMenuTitle(String menuTitle)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### RoleItem

    public RoleItem()

  - ### RoleItem

    public RoleItem(int id, String title)

- ## Method Details

  - ### getChildren

    public List<RoleItem> getChildren()
    Specified by:
      `getChildren` in interface `TreeNode<RoleItem>`

  - ### setChildren

    public void setChildren(List<RoleItem> children)

  - ### getMenuTitle

    public String getMenuTitle()

  - ### setMenuTitle

    public void setMenuTitle(String menuTitle)